petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESFASGetType

Sets the update and correction type used for FAS.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESFASGetType(SNES snes,SNESFASType *fastype)

Logically Collective

### Input Parameters

snes -FAS context

### Output Parameters

fastype -SNES_FAS_ADDITIVE or SNES_FAS_MULTIPLICATIVE

### See Also

PCMGSetType()

Level:intermediate
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages